SEARCHTH(3)

NAME
searchTH - searches an item in a hash table.

SYNOPSYS
#include "logmmm.h"
int searchTH(pTable,key)
pTH pTable;
char *key;

PARAMETERS

pTable
    Hash table.

key Key used by the hash coding function.

DESCRIPTION
searchTH() searches an item in pTable. If the key exists, the associated value is returned, if it doesn't, the function returns -1 (EMPTYTH).

EXAMPLE
#include "mutnnn.h"
#include "logmmm.h"
pTH mytable;
int val;
mytable = createTH(100);
addTH(mytable,namealloc("var1"),0);
val = searchTH(mytable,namealloc("var1"));
	/* val = 0 */
val = searchTH(mytable,namealloc("var2"));
	/* val = -1 */
if (val != EMPTYTH)
   printf("found !");
else
   printf("var2 doesn't exist in mytable!");

SEE ALSO
log(1), tsh(1), createTH(3), destroyTH(3), addTH(3), deleteTH(3), displayTH(3).